ensure that Docker 'latest' tags work correctly in Katello

02/05/2016 11:02 AM - Chris Duryee

Status: New   

Priority: Normal   

Assignee:    

Category: Container   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It's a common practice to have a tag that points to the latest version of a docker image. For example, you may have "fedora" that

points to the latest Fedora.

We need to test to confirm this works as expected in Katello. The test would be as follows:

create a local docker registry, upload a version of busybox (slightly older version is better but not strictly needed), tag it as

"latest-busybox"

sync registry into Katello and deploy latest-busybox via foreman-docker plugin

upload a different (ideally, newer) version of busybox to local registry, tag as "latest-busybox"

sync registry into Katello, verify 'latest-busybox' is correct in all places

deploy again with foreman-docker, verify you get the version you expect

This may already work out of the box but might not. This ticket is to test this scenario and perform any needed fixes.

Related issues:

Related to Katello - Tracker #13413: Support Docker v2 API in katello Resolved 01/27/2016

History

#1 - 02/05/2016 11:04 AM - Chris Duryee

- Related to Tracker #13413: Support Docker v2 API in katello added

#2 - 02/14/2016 10:54 AM - Eric Helms

- translation missing: en.field_release set to 86

#3 - 04/18/2016 09:50 AM - Eric Helms

- translation missing: en.field_release changed from 86 to 143

#4 - 07/08/2016 01:48 PM - Justin Sherrill

- translation missing: en.field_release changed from 143 to 114
